«前の日記(2004-04-22 (木)) 最新 次の日記(2004-04-24 (土))» 編集
にっき
Google
2003|10|11|12|
2004|01|02|03|04|05|06|07|08|09|10|11|12|
2005|01|02|03|04|05|06|07|08|09|10|11|12|
2006|01|02|03|04|05|06|07|08|09|10|11|12|
2007|01|02|03|04|05|06|07|08|09|10|11|12|
2008|01|02|03|04|05|06|07|08|09|10|11|12|
2009|01|02|03|04|05|06|07|08|09|10|11|12|
2010|01|02|03|04|05|06|07|08|09|10|11|12|
2011|01|02|03|04|05|06|07|08|09|10|11|12|
2012|01|02|03|04|05|06|07|08|09|10|11|12|
2013|01|02|03|04|05|06|07|08|09|10|11|12|
2014|01|02|03|04|05|06|07|10|12|
2015|01|12|
2016|01|12|
2017|01|

2004-04-23 (金) [長年日記]

_ rAntenna 0.0.4 リリース

rAntenna の 0.0.4 をリリースします。0.0.3 からの主な変更点は以下のとおりです。

  • デフォルトのテーマ(css)を同梱。
  • HTML 出力用のテンプレートを2種類に増加。
  • LIRS 入力の gz 対応が Ruby1.8 の zlib で動作しなかったバグを修正。
  • 一部更新時刻の取得できないページがあったのを修正。
  • その他細かいバグを多数修正。

なお、各所で話題になっている '%' を含む URL が扱えないバグですが、こちらは最新版にて修正されております。(安定版では修正されていませんので、ご注意ください。)

rAntenna は Ruby で記述された Web サイトの更新時刻取得エージェント(いわゆるアンテナソフト)です。このソフトは、デフォルトで RDF ファイルを出力するのが特徴で、RSS リーダを使用すれば快適に Web の巡回ができます。

_ Mozilla 1.7 RC 1

きまぐれ日記より。

アップデート完了。しかし、バージョン情報が 1.7b のママだな。(わら

_ 今日の発注

なんか最近、ほしい本が本屋にないことが多いな〜。

NIPPONアイドル探偵団フレッシュ'04(北川 昌弘/T.P.M) Hatena

_ rAntenna の設定

きまぐれ日記より。

rAntenna の設定ファイル antenna.conf の書き方が詳しく解説されていますので、これからインストールされる方は大変役に立つと思います。

ただ、@output_lirs_path の書き方は、このとおりでも動きますが、以下のように書くのが正解です。

@output_lirs_path = [
'rantenna.lirs',
]

出力する LIRS ファイルが複数ある場合でも対応できるように、このような書き方になっています。

早速

直していただけたようです。ありがとうございます。 natsu2ra.pl もよさげですね。rAntenna にも同等のものが添付されていたほうが便利かな。

_ 今日のアニメ

ママは小学4年生#39
クラスでビデオレターを撮ることになり、なつみが出演をする。
キン肉マン#92
ネプチューンマンは以前ロビンマスクと戦ったケンカマンだった。
本日のツッコミ(全4件) [ツッコミを入れる]
_ yoshi (2004-04-23 (金) 16:06)

古いインストーラで入れちゃったかと自分を疑いました。(笑)<1.7b表示

_ TrackBack (2004-04-23 (金) 16:50)

http://www.kyo-ko.org/td/?date=20040423<br>きまぐれ日記<br><br>1.7bと表示されているのに気付いて、僕は2回インストールしちゃいました。:D

_ TrackBack (2004-04-23 (金) 18:01)

http://www.kyo-ko.org/td/?date=20040423<br>きまぐれ日記<br><br>ぐぉ、ご指摘ありがとうございます。早速、直しました。:)

_ にょ (2004-05-04 (火) 21:16)

rantenna 0.0.4 を Ruby 1.6.4 がインストールされて<br>いるウェブサーバ上で動かそうとしています.<br><br>更新情報を取得すべく, コンソールから update.rb を<br>実行したところ, 以下のエラーで止まってしまいました.<br><br>| $ cd ~<br>| $ cd ./public_html/a/<br>| $ ruby ./update.rb<br>| /home/nyo/public_html/a/antenna.rb:23:in `require': No such file to load -- time (LoadError)<br>| from /home/nyo/public_html/a/antenna.rb:23<br>| from ./update.rb:21:in `require'<br>| from ./update.rb:21<br>| $ <br><br>どうやら, antenna.rb の23行目にある<br><br>| require 'time'<br><br>のロードに失敗している(?)ようなのですが, もしかし<br>て, Ruby のバージョンを上げないと解決しない問題だっ<br>たりするのでしょうか?


«前の日記(2004-04-22 (木)) 最新 次の日記(2004-04-24 (土))» 編集